flutter_markdown_editor 1.1.1 icon indicating copy to clipboard operation
flutter_markdown_editor: ^1.1.1 copied to clipboard

A package for markdown editor widget, you can use pre-exist editors or customize the view to build yours.

example/lib/main.dart

import 'package:flutter/material.dart';
import 'package:flutter_markdown_editor/flutter_markdown_editor.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Mardown Editor Example',
      theme: ThemeData(
        primarySwatch: Colors.blue,
        visualDensity: VisualDensity.adaptivePlatformDensity,
      ),
      home: HomePage(),
    );
  }
}

class HomePage extends StatelessWidget {
  final MarkDownEditor markDownEditor = MarkDownEditor();
  @override
  Widget build(BuildContext context) {
    return DefaultTabController(
      length: 3,
      child: Scaffold(
        appBar: AppBar(
          bottom: TabBar(
            tabs: [
              Tab(
                icon: Icon(Icons.border_vertical),
                text: 'Vertical',
              ),
              Tab(
                icon: Icon(Icons.switch_left),
                text: 'In Place',
              ),
              Tab(
                icon: Icon(Icons.settings),
                text: 'Custom',
              ),
            ],
          ),
        ),
        body: TabBarView(
          children: [
            markDownEditor.vertical(),
            markDownEditor.inPlace(),
            Column(
              children: [
                markDownEditor.field,
                markDownEditor.preview,
              ],
            ),
          ],
        ),
      ),
    );
  }
}
6
likes
80
pub points
14%
popularity

Publisher

unverified uploader

A package for markdown editor widget, you can use pre-exist editors or customize the view to build yours.

Repository (GitHub)

Documentation

API reference

License

Icon for licenses.MIT (LICENSE)

Dependencies

flutter, flutter_markdown, fluttertoast, markdown, url_launcher

More

Packages that depend on flutter_markdown_editor